| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
LPC18xx/43xx FreeRTOS blinky example
FreeRTOS examples

## Detailed Description

Example description
Welcome to the FreeRTOS basic blinky example. This example starts up FreeRTOS and creates 3 tasks. Tasks 1 and 2 blink different LEDs at different rates. Task 3 outputs a tick count to the debug channel (UART) every second.

By default, tickless idle is used with this example for FreeRTOS. Normal tick operation can be used by setting the configUSE_TICKLESS_IDLE definition to 0 in FreeRTOSConfig.h.

To use the example, connect a serial cable to the board's RS232/UART port and start a terminal program (115.2K8N1) to monitor the port. The LEDs will also toggle based on the task execution.

Special connection requirements
There are no special connection requirements for this example.

Build procedures:
LPC18xx/43xx example quickstart for Keil uVision4
LPC18xx/43xx example quickstart for IAR EWARM
LPC18xx/43xx example quickstart for Code Red Xpresso

Supported boards and board setup:
Hitex 1850 evaluation boards
Hitex 4350 evaluation boards
Keil 1857 evaluation boards
Keil 4357 evaluation boards
NGX 1830 Xplorer boards
NGX 4330 Xplorer boards

Submitting LPCOpen issues:
Community support for LPCOpen

## Functions
static void | prvSetupHardware (void)
static | portTASK_FUNCTION (vLEDTask1, pvParameters)
static | portTASK_FUNCTION (vLEDTask2, pvParameters)
static | portTASK_FUNCTION (vUARTTask, pvParameters)
int | main (void)
| main routine for FreeRTOS blinky example

## Function Documentation

int main | ( | void |  | ) |

main routine for FreeRTOS blinky example

Main program body.

Returns
  Nothing, function should not exit

Definition at line 141 of file freertos_blinky.c.

static portTASK_FUNCTION | ( | vLEDTask1 | ,
|  | pvParameters |
| ) |  |
| static

Definition at line 95 of file freertos_blinky.c.

static portTASK_FUNCTION | ( | vLEDTask2 | ,
|  | pvParameters |
| ) |  |
| static

Definition at line 108 of file freertos_blinky.c.

static portTASK_FUNCTION | ( | vUARTTask | ,
|  | pvParameters |
| ) |  |
| static

Definition at line 121 of file freertos_blinky.c.

static void prvSetupHardware | ( | void |  | ) |
| static

Definition at line 86 of file freertos_blinky.c.